收藏
回答

swiper中的内容高度不能自适应100%

API/组件名称 终端类型 微信版本 基础库版本
swiper 客户端 6.6.1 1.9


这个swiper组件,我用它来弄tab栏目滑动,但是高度不能自适用呢

高度不能够自适应100%


回答关注问题邀请回答
收藏

4 个回答

  • -
    -
    2018-05-14

    有解决吗?我也遇到了这个问题

    2018-05-14
    有用 1
    回复
  • 王焯
    王焯
    2018-05-08

    <swiper wx:for='{{array}}' style='height:{{ heights[index] || 50 }}px' >

        <swiper-item>

            <view class='getThisHeight'>

                ...这里放自适应内容

            view>

        swiper-item>

    swiper>


    justifyHeight: function () {

        let that = this

        let hs = []

        wx.createSelectorQuery().selectAll('.getThisHeight').boundingClientRect(function (rects) {

            rects.forEach((v, i) => {

                hs[i] = v.height

            })

            that.setData({

                heights: hs,

            })

        }).exec()

    },


    2018-05-08
    有用
    回复
  • 那夜捉猹的润不土°
    那夜捉猹的润不土°
    2018-01-29

    可以尝试在swiper标签下面嵌套一个 scroll-view 标签尝试下

    2018-01-29
    有用
    回复
  • Leee
    Leee
    2018-01-26

    我也遇到了同样的问题,兄弟解决了吗?

    2018-01-26
    有用
    回复 1
登录 后发表内容